Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Interface ServiceFactory

public interface ServiceFactory

The ServiceFactory interface is used to obtain a Service proxy instance for a named MBean.

Version:
  $Revision: 1.1 $
Author:
  Scott_Stark@displayscape.com

Method Summary
`Service` | `createService(javax.management.MBeanServer server, javax.management.ObjectName name)` Create a Service proxy instance for the MBean given by name.

Method Detail

### createService

    public Service createService(javax.management.MBeanServer server,
                                 javax.management.ObjectName name)

  Create a Service proxy instance for the MBean given by name.
  Parameters:
    `server,` - the MBeanServer instance
    `name,` - the name of the MBean that wishes to be managed by the JBoss ServiceControl service.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.